import React, { useEffect, useState } from "react";

const LaporanTable = () => {
  const [laporan, setLaporan] = useState([]);

  useEffect(() => {
    const fetchData = async () => {
      const response = await fetch("/laporan");
      const data = await response.json();
      setLaporan(data);
    };
    fetchData();
  }, []);

  return (
    <div className="container mx-auto p-4">
      <h1 className="text-2xl font-bold mb-4">Laporan Maintenance</h1>
      <table className="table-auto border-collapse w-full">
        <thead>
          <tr className="rounded-lg text-sm font-medium text-gray-700 text-left">
            <th className="px-4 py-2 bg-gray-200">Description</th>
            <th className="px-4 py-2 bg-gray-200">Status</th>
            <th className="px-4 py-2 bg-gray-200">Is Deleted</th>
          </tr>
        </thead>
        <tbody className="text-sm font-normal text-gray-700">
          {laporan.map((row) => (
            <tr key={row.id} className="hover:bg-gray-100 border-b border-gray-200 py-10">
              <td className="px-4 py-4">{row.description}</td>
              <td className="px-4 py-4">{row.status}</td>
              <td className="px-4 py-4">{row.is_deleted ? "Yes" : "No"}</td>
            </tr>
          ))}
        </tbody>
      </table>
    </div>
  );
};

export default LaporanTable;
